'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function (str) {
    return function () {
        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return str.replace(/\{\{|\}\}|\{(\d+)\}/g, function (curlyBrack, index) {
            switch (curlyBrack) {
                case "{{":
                    return "{";
                case "}}":
                    return "}";
                default:
                    var val = args[index];
                    return val == null ? "" : val;
            }
        });
    };
};