'use strict';

export default str => (...args) =>
    str.replace(/\{\{|\}\}|\{(\d+)\}/g, (curlyBrack, index) => {
        switch (curlyBrack) {
            case "{{":
                return "{";
            case "}}":
                return "}";
            default:
                const val = args[index];
                return val == null ? "" : val;
        }
    });
